export interface TimelineDatenpunkt {
  title?: string; 
  vorname: string; 
  nachnname: string; 
  pictureurl: string; 
  tag: StakeholderTag; 
  heading: string; 
  interviewtabid: string; 
  type?: TypeTag; 
  affiliation?: string; 
  job?: string; 
  cardtext: string; 
  language?: Language; 
  quote: string; 
  quoteVorname?: string; 
  quoteNachname?: string; 
  aimofcontact: string | Array<string> | Array<React.ReactNode>; 
  insights: string | Array<string> | Array<React.ReactNode>; 
  clarification?: string | Array<string> | Array<React.ReactNode>; 
  implementation: string | Array<string> | Array<React.ReactNode>; 
  pictureurl_interview?: string; 
  pictureurl_other?: string; 
  more_pictures?: Array<string> ; 
}
type StakeholderTag = 'Industry' | 'Academia' | 'Patient' | 'Medical Professional' | 'Milestone' | 'Other'; 
type TypeTag = 'meta' ; 
type Language = 'en' | 'de'; 

const pics: { [key: string]: string } = {
  placeholder: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
  max: "https://static.igem.wiki/teams/5247/photos/hp/hp-max-portrait.jpg",
  kristian: "https://static.igem.wiki/teams/5247/photos/hp/kristian.jpeg",
  olariu: "https://static.igem.wiki/teams/5247/photos/hp/olariu-cristian.jpg",
  westhoff: "https://static.igem.wiki/teams/5247/photos/hp/hp-katrin-portrait.jpg",
  mattijs: "https://static.igem.wiki/teams/5247/photos/hp/mattijs.jpg",
  julia: "https://static.igem.wiki/teams/5247/photos/hp/julia.jpg",
  kolonko: "https://static.igem.wiki/teams/5247/photos/hp/kolonko-neu.jpg",
  svenja: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
  berens: "https://static.igem.wiki/teams/5247/photos/hp/berens.jpg",
};

/* {
    vorname: "",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "",
    heading: "",
    interviewtabid: "",
    cardtext: "",
    language: "",
    quote: "",
    aimofcontact: "",
    insights: "",
    implementation: "",
  } */


    /* WICHTIG!
      Fehlende Infos einfach leer lassen und keine Dummy-Texte einfügen! 
    */

export const timelinedata: Array<TimelineDatenpunkt> = [
  {
    vorname: "Building the team",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Development of a multidisciplinary team structure",
    interviewtabid: "recruiting",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    insights: "",
    implementation: "",
    type: "meta"
  },
  {
    vorname: "Pitching ideas",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Getting Acquainted with Cystic Fibrosis",
    interviewtabid: "firstpresi",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
    type: "meta"
  },
  {
    vorname: "Ideation",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Brainstorming and selection of ideas and concepts",
    interviewtabid: "ideas",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    insights: "",
    implementation: "",
    type: "meta"
  },
  { 
    title: "Prof. Dr.",
    vorname: "Kristian",
    nachnname: "Müller",  
    job: "Research Group Cellular and Molecular Biotechnology",
    pictureurl: pics['kristian'],
    tag: "Academia",
    heading: "",
    interviewtabid: "kristian",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Max",
    nachnname: "Beckmann",  
    job: "Bielefeld University",
    pictureurl: pics['max'],
    tag: "Patient",
    heading: "Gathering valuable insights from the patient’s perspective",
    interviewtabid: "maxfirst",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "XXX",
    vorname: "Christoph",
    nachnname: "Weber",  
    job: "",
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Feedback Session with Expert",
    interviewtabid: "weber",
    cardtext: "",
    language: "en",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  {
    vorname: "Exploring new ideas",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    affiliation: "",
    heading: "Further brainstorming on approaches",
    interviewtabid: "brainstorming",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
    type: "meta"
  },
  { 
    title: "Dr.",
    vorname: "Michaela",
    nachnname: "Bienert",  
    job: " Scientific Sales Representative for Cell Culture Products",
    affiliation: "Stemcell",
    pictureurl: pics['placeholder'],
    tag: "Industry",
    heading: "Determining the optimal cell media for experimentation",
    interviewtabid: "michaela",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  {
    vorname: "Looking for expertise",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Identifying key experts in cystic fibrosis and prime editing",
    interviewtabid: "experts",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
    type: "meta"
  },
  {
    vorname: "Documenting progress",
    nachnname: "",  
    pictureurl: pics['placeholder'],
    tag: "Other",
    heading: "Tracking progress in expert search and idea development",
    interviewtabid: "progress",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
    type: "meta"
  },
  { 
    vorname: "Katrin",
    nachnname: "Westhoff",  
    job: "Physiotherapist",
    affiliation: "Independent",
    pictureurl: pics['westhoff'],
    tag: "Medical Professional",
    heading: "Interview with a specialized physiotherapist regarding breathing therapy for cystic fibrosis patients",
    interviewtabid: "westhoffinv",
    cardtext: "",
    language: "de",
    quote: "The more we know, the more opportunities we have.",
    aimofcontact: "The objective of the contact was to gain in-depth insights into the treatment and care of children with cystic fibrosis. The therapist's expertise was intended to help develop a better understanding of the challenges and necessary measures in the treatment of this chronic disease. In addition, the aim was to ascertain how the therapy is implemented in everyday life and which specific approaches and methods are particularly effective.",
    
    insights: "The interview yielded valuable insights into the regular implementation of the therapy, the use of aids and the adaptation of exercises to the individual needs of the patients. It was notable that the therapy has improved considerably thanks to better medication and adapted exercises, with a concomitant increase in life expectancy for children affected by cystic fibrosis. Of particular interest was the emphasis on the importance of sport and exercise, which should not only be therapeutically effective, but also increase quality of life. ",
    implementation: "The following statement by Katrin Westhoff had a particularly profound impact on our project: 'The more we know, the more opportunities we have.' We learned from the interview that the current medication is already helping many patients to a huge extent, but that there is still a significant opportunity for improvement. After all, successful gene therapy would markedly enhance the quality of life for those affected. The findings of this project will be disseminated to the relevant researchers in order to facilitate the rapid improvement of the quality of life of all cystic fibrosis patients, regardless of their mutation. ",
  },
  { 
    vorname: "Cristian-Gabriel",
    nachnname: "Olariu",  
    job: "pediatrician",
    affiliation: "OWL University Hospital",
    pictureurl: pics['olariu'],
    tag: "Medical Professional",
    heading: "Discussion with a pediatrician and his former patient about treatment challenges and perspectives",
    interviewtabid: "olariu",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Mattijs",
    nachnname: "Bulcaen",  
    job: "PhD Researcher at Laboratory for Molecular Virology & Gene Therapy",
    affiliation: "KU Leuven",
    pictureurl: pics['mattijs'],
    tag: "Academia",
    heading: "Discussion with a Prime Editing Expert on Similar Approaches for Different Mutations",
    interviewtabid: "mattijsinv",
    cardtext: "",
    language: "en",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Nicole",
    nachnname: "Friedlein",  
    job: "Research group on fundamental rights",
    affiliation: "Universität Potsdam",
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Discussion on how health insurance companies manage cystic fibrosis patients and gene therapy treatments",
    interviewtabid: "nicole",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Katrin",
    nachnname: "Westhoff",  
    job: "physiotherapist",
    affiliation: "",
    pictureurl: pics['westhoff'],
    tag: "Medical Professional",
    heading: "In-Depth Visit to Specialized Physiotherapist for CF Breathing Therapy",
    interviewtabid: "westhoffvisit",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Jukia",
    nachnname: "XXX",  
    job: "parent",
    affiliation: "",
    pictureurl: pics['julia'],
    tag: "Patient",
    heading: "Interview with a CF Parent About Their Experience and Treatment Needs",
    interviewtabid: "julia",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Joshua",
    nachnname: "Bauder",  
    job: "parent and activist",
    affiliation: "CF vests worldwide",
    pictureurl: pics['placeholder'],
    tag: "Patient",
    heading: "Interview with a CF Parent and Global Advocate on Worldwide Support and Perspectives",
    interviewtabid: "joshua",
    cardtext: "",
    language: "en",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "Prof. Dr.",
    vorname: "Erhard",
    nachnname: "Wischmeyer",  
    job: "Research Group Cellular Neurophysiology",
    affiliation: "Universität Bielefeld",  
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Discussion on Techniques for Measuring CFTR Channel Functionality",
    interviewtabid: "patchclamp",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "Prof. Dr.",
    vorname: "Stefan",
    nachnname: "Hammer",  
    job: "Junior Professor of Organic Chemistry and Biocatalysis",
    affiliation: "Universität Bielefeld",  
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Safety Briefing and Laboratory Practices Advice",
    interviewtabid: "hammer",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "Dr.",
    vorname: "Katharina",
    nachnname: "Kolonko",  
    job: "",
    affiliation: "",  
    pictureurl: pics['kolonko'],
    tag: "Academia",
    heading: "First steps in LNPs",
    interviewtabid: "kolonkofirst",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Svenja",
    nachnname: "Vinke",  
    job: "PostDoc at Harvard Medical School",
    affiliation: "Harvard Medical School",  
    pictureurl: pics['svenja'],
    tag: "Academia",
    heading: "First steps in LNPs",
    interviewtabid: "svenja",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Max",
    nachnname: "Beckmann",  
    job: "Bielefeld University",
    pictureurl: pics['max'],
    tag: "Patient",
    heading: "Consultation on University Hygiene Risks and Improvement for Hygiene Concept",
    interviewtabid: "maxhygiene",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "Dr.",
    vorname: "Eva-Maria",
    nachnname: "Berens",  
    job: "Ethics Committee of Bielefeld University",
    affiliation: "Bielefeld University", 
    pictureurl: pics['berens'],
    tag: "Academia",
    heading: "Bioethics: Best Practices for Handling Patient Data and Primary Cells", /* Guidance from Ethics Committee on Best Practices for Patient Data and Primary Cells */
    interviewtabid: "berens",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Collaboration",
    nachnname: "",  
    job: "",
    affiliation: "", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "LNP Handbook",
    interviewtabid: "",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "",
    nachnname: "",  
    job: "",
    affiliation: "RNhale", 
    pictureurl: pics['placeholder'],
    tag: "Industry",
    heading: "Rnhale",
    interviewtabid: "",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "XXX",
    vorname: "David",
    nachnname: "Liu",  
    job: "",
    affiliation: "", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "",
    interviewtabid: "",
    cardtext: "",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "",
    nachnname: "",  
    job: "",
    affiliation: "Corden Pharma", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "Corden",
    interviewtabid: "",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    vorname: "Mattijs",
    nachnname: "Bulcaen",  
    job: "PhD Researcher at Laboratory for Molecular Virology & Gene Therapy",
    affiliation: "KU Leuven",
    pictureurl: pics['mattijs'],
    tag: "Academia",
    heading: "",
    interviewtabid: "mattijsvisit",
    cardtext: "",
    language: "en",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
  { 
    title: "Dr.",
    vorname: "Oliver",
    nachnname: "Dräger",  
    job: "Bielefeld University",
    affiliation: "Research Group Cellular Neurophysiology", 
    pictureurl: pics['placeholder'],
    tag: "Academia",
    heading: "",
    interviewtabid: "patchclamp",
    cardtext: "",
    language: "de",
    quote: "",
    aimofcontact: "",
    
    insights: "",
    implementation: "",
  },
]

